Bug 477931 - icecast has SSL not activated
icecast has SSL not activated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: icecast (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-25 13:34 EST by Peter Bieringer
Modified: 2010-12-05 02:03 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.2-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:03:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2008-12-25 13:34:56 EST
Description of problem:
After configuring SSL according to the documentation found in the Internet, SSL is still not working.


Version-Release number of selected component (if applicable):
icecast-2.3.2-1.fc10.i386


How reproducible:
Always


Steps to Reproduce:
1. Configure SSL

<icecast>
...
  <listen-socket>
    ...
    <ssl>1</ssl>
  </listen-socket>

  <paths>
    ...
    <ssl-certificate>/etc/pki/tls/certs/server-dummy</ssl-certificate>
  </paths>
</icecast>

2. Start icecast
  
Actual results:

[2008-12-25  19:19:49] INFO connection/get_ssl_certificate No SSL capability


Expected results:

[2008-12-25  19:24:35] INFO connection/get_ssl_certificate SSL certificate found at /etc/pki/tls/certs/server-dummy


Additional info:

I rebuilded the current SRPMS (with openssl-devel installed) and no other changes, this version supports SSL...so looks like something during rebuild process went wrong - more strange is, that icecast is currently already linked to libssl.

I would also suggest to add openssl-devel to build require

--- icecast.spec.preSSL 2008-12-25 19:07:03.000000000 +0100
+++ icecast.spec        2008-12-25 19:21:07.000000000 +0100
@@ -17,6 +17,7 @@
 BuildRequires: automake
 BuildRequires: libvorbis-devel >= 1.0, libogg-devel >= 1.0, curl-devel >= 7.10.0
 BuildRequires: libxml2-devel, libxslt-devel, speex-devel
+BuildRequires: openssl-devel
 # To be enabled as soon as Fedora's libtheora supports ogg_stream_init
 BuildRequires: libtheora-devel >= 1.0



Please add also following patch, so no deep look into the source code is required to find the reason, why SSL is not working:

--- src/connection.c.orig   2008-12-25 19:31:41.000000000 +0100
+++ src/connection.c        2008-12-25 19:32:00.000000000 +0100
@@ -280,7 +280,7 @@
 static void get_ssl_certificate (ice_config_t *config)
 {
     ssl_ok = 0;
-    INFO0 ("No SSL capability");
+    INFO0 ("No SSL capability (not compiled in)");
 }
 #endif /* HAVE_OPENSSL */
Comment 1 Andreas Thienemann 2009-02-19 14:28:13 EST
Package Change Request
======================
Package Name: icecast
New Branches: EL-4 EL-5
Owners: ixs
Comment 2 Kevin Fenzi 2009-02-19 14:34:21 EST
cvs done.
Comment 3 Fedora Update System 2009-10-22 11:01:54 EDT
icecast-2.3.2-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/icecast-2.3.2-4.el5
Comment 4 Fedora Update System 2009-10-23 19:20:21 EDT
icecast-2.3.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Peter Bieringer 2009-11-12 17:35:39 EST
Can one pls. also update the version in F11 which is still icecast-2.3.2-2.fc11.i586 and do not support SSL.
Comment 6 Peter Bieringer 2009-12-22 06:48:03 EST
icecast-2.3.2-3.fc12.i686 from F12 also still misses SSL support :-(
Comment 7 Peter Bieringer 2009-12-22 06:51:45 EST
icecast-2.3.2-4.fc13.i686 has SSL support, so one only has to push this version to F12
Comment 8 Bug Zapper 2010-11-04 07:35:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 02:03:41 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.